function D = diffK(v,alpha,beta);
  
%_________________________________________________________________________________
% diffK.m
% Arguments: v (saddlepoint), alpha, beta (gamma parameters)
% This function computes the derivatives of the c.g.f. of the gamma claim amount
%_________________________________________________________________________________

K = alpha*log(beta/(beta-v));
dK = alpha/(beta-v);
d2K = alpha/(beta-v)^2;

D = [K dK d2K];

