function D = diffMN(v,lambda);
  
%_________________________________________________________________________________
% diffMN.m
% Arguments: v (saddlepoint), lambda (Poisson parameter)
% This function computes the derivatives of the m.g.f. of the Poisson distribution
%_________________________________________________________________________________

M = exp(lambda*(exp(v)-1));
dM = lambda*exp(v)*M;
d2M = lambda*exp(v)*(1+lambda*exp(v))*M;

D = [M dM d2M];

